Bug 226814 - ACPI errors on ASUS GL553VE
Summary: ACPI errors on ASUS GL553VE
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-acpi (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-03-21 05:56 UTC by Gleb Popov
Modified: 2020-06-22 07:37 UTC (History)
5 users (show)

See Also:


Attachments
Full dmesg log (14.35 KB, text/plain)
2018-03-21 05:56 UTC, Gleb Popov
no flags Details
acpidump -dt output (8.35 KB, text/plain)
2018-05-31 20:46 UTC, Gleb Popov
no flags Details
acpidump binary output (239.45 KB, application/octet-stream)
2018-06-01 08:14 UTC, Gleb Popov
no flags Details
Output of sysutils/acpica-tools acpidump (257.29 KB, application/octet-stream)
2018-06-03 14:11 UTC, Gleb Popov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2018-03-21 05:56:14 UTC
Created attachment 191683 [details]
Full dmesg log

I'm running FreeBSD 12-CURRENT amd64 on GL553VE laptop. I see some ACPI related errors during boot and my battery status isn't reported to the OS. This might be a FreeBSD problem, but when I updated BIOS from stock version (302, IIRC) to the latest 306, some ACPI errors are gone. Some others are still present, however. I tried contacting ASUS support, but got kicked out with "we do not support anything except Windows 10" reply.

The full dmesg log is attached and here are related excerpts from it:

ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20180209/psobject-371)
ACPI Error: Method parse/execution failed \134, AE_ALREADY_EXISTS (20180209/psparse-677)
ACPI Error: Invalid zero thread count in method (20180209/dsmethod-959)
ACPI Error: Invalid OwnerId: 0x00 (20180209/utownerid-318)
ACPI Error: AE_ALREADY_EXISTS, (SSDT:SataTabl) while loading table (20180209/tbxfload-355)
ACPI Error: 1 table load failures, 10 successful (20180209/tbxfload-378)

ACPI Error: AE_AML_BUFFER_LIMIT, Index (0x000000080) is beyond end of object (length 0x20) (20180209/exoparg2-569)
ACPI Error: Method parse/execution failed \134_SB.PCI0.LPCB.EC0.BIF9, AE_AML_BUFFER_LIMIT (20180209/psparse-677)
ACPI Error: Method parse/execution failed \134_SB.PCI0.LPCB.EC0.BIFP, AE_AML_BUFFER_LIMIT (20180209/psparse-677)
ACPI Error: Method parse/execution failed \134_SB.PCI0.BAT0._BIF, AE_AML_BUFFER_LIMIT (20180209/psparse-677)

ACPI Error: AE_AML_BUFFER_LIMIT, Index (0x000000080) is beyond end of object (length 0x20) (20180209/exoparg2-569)
ACPI Error: Method parse/execution failed \134_SB.PCI0.LPCB.EC0.BIF9, AE_AML_BUFFER_LIMIT (20180209/psparse-677)
ACPI Error: Method parse/execution failed \134_SB.PCI0.LPCB.EC0.BIFP, AE_AML_BUFFER_LIMIT (20180209/psparse-677)
ACPI Error: Method parse/execution failed \134_SB.PCI0.BAT0._BIF, AE_AML_BUFFER_LIMIT (20180209/psparse-677)
ACPI Error: AE_AML_BUFFER_LIMIT, Index (0x000000080) is beyond end of object (length 0x20) (20180209/exoparg2-569)
ACPI Error: Method parse/execution failed \134_SB.PCI0.LPCB.EC0.BIF9, AE_AML_BUFFER_LIMIT (20180209/psparse-677)
ACPI Error: Method parse/execution failed \134_SB.PCI0.LPCB.EC0.BIFP, AE_AML_BUFFER_LIMIT (20180209/psparse-677)
ACPI Error: Method parse/execution failed \134_SB.PCI0.BAT0._BIF, AE_AML_BUFFER_LIMIT (20180209/psparse-677)
Comment 1 robert.moore 2018-05-31 16:38:53 UTC
1) For the ALREADY_EXISTS, we've cleaned up the error message a bit, but it still is a serious error.

2) The BUFFER_LIMIT errors are serious, and represent an attempt to read or write off the end of an operation region.

If you could post the acpidump for the machine (dump of the entire set of ACPI tables), we can take at least a look at it.

Bob
Comment 2 Erik Kaneda 2018-05-31 17:04:49 UTC
Firmware Error (ACPI): Failure creating [\134_SB.PCI0.SAT0.PRT0], AE_ALREADY_EXISTS (20180209/dswload2-468)
ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20180209/psobject-371)
ACPI Error: Method parse/execution failed \134, AE_ALREADY_EXISTS (20180209/psparse-677)
ACPI Error: Invalid zero thread count in method (20180209/dsmethod-959)
ACPI Error: Invalid OwnerId: 0x00 (20180209/utownerid-318)
ACPI Error: AE_ALREADY_EXISTS, (SSDT:SataTabl) while loading table (20180209/tbxfload-355)
ACPI Error: 1 table load failures, 10 successful (20180209/tbxfload-378)

We have a fix for this table load failure error in the new release of ACPICA. We are planning on releasing before the weekend.
Comment 3 Gleb Popov freebsd_committer 2018-05-31 20:46:31 UTC
Created attachment 193880 [details]
acpidump -dt output
Comment 4 robert.moore 2018-05-31 20:52:17 UTC
This style of acpidump won't help. It is actually a disassembly.

What I need is a dump of the form below, or the actual binary tables.


SSDT @ 0x0000000000000000
  0000: 53 53 44 54 27 0A 00 00 02 9C 49 4E 54 45 4C 00  SSDT'.....INTEL.
  0010: 78 68 5F 72 76 70 30 37 00 00 00 00 49 4E 54 4C  xh_rvp07....INTL
  0020: 22 04 16 20 A0 45 21 00 15 5C 2F 04 5F 53 42 5F  ".. .E!..\/._SB_
  0030: 50 43 49 30 58 48 43 5F 52 48 55 42 06 00 15 5C  PCI0XHC_RHUB...\
etc.

DSDT @ 0x0000000000000000
  0000: 44 53 44 54 F0 41 02 00 02 67 44 45 4C 4C 20 20  DSDT.A...gDELL  
  0010: 43 42 58 33 20 20 20 00 09 20 07 01 49 4E 54 4C  CBX3   .. ..INTL
  0020: 22 04 16 20 A0 4B 90 00 15 4C 48 49 48 00 00 15  ".. .K...LHIH...
  0030: 4C 4C 4F 57 00 00 15 49 47 44 53 00 00 15 4C 49  LLOW...IGDS...LI
  0040: 44 53 00 00 15 42 52 54 4C 00 00 15 41 4C 53 45  DS...BRTL...ALSE
  0050: 00 00 15 47 53 4D 49 00 00 15 5C 2F 04 5F 53 42  ...GSMI...\/._SB
 ....
etc.
Comment 5 Jung-uk Kim freebsd_committer 2018-05-31 20:58:04 UTC
(In reply to robert.moore from comment #4)
Please note Intel's acpidump is available from ports, i.e., sysutils/acpica-tools.
Comment 6 Gleb Popov freebsd_committer 2018-06-01 08:14:26 UTC
Created attachment 193888 [details]
acpidump binary output

Oops, sorry, attaching the binary. Hope this is right one.
Comment 7 Gleb Popov freebsd_committer 2018-06-03 14:11:22 UTC
Created attachment 193971 [details]
Output of sysutils/acpica-tools acpidump

I missed the "ports" word. Here is the output of the ports version of acpidump.
Comment 8 Gleb Popov freebsd_committer 2019-12-20 14:37:47 UTC
I'd like to bump this PR.

What can be done for this PR from my side? Is there even a point to keep this PR open?
Comment 9 Gleb Popov freebsd_committer 2020-06-22 07:37:01 UTC
With recent CURRENT kernel the situation improved!

The errors I now get are:

Firmware Error (ACPI): Failure creating named object [\134_SB.PCI0.SAT0.PRT0], AE_ALREADY_EXISTS (20200326/dswload2-480)
ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20200326/psobject-372)
Firmware Error (ACPI): Failure creating named object [\134_SB.PCI0.SAT0.PRT1], AE_ALREADY_EXISTS (20200326/dswload2-480)
ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20200326/psobject-372)
Firmware Error (ACPI): Failure creating named object [\134_SB.PCI0.SAT0.PRT3], AE_ALREADY_EXISTS (20200326/dswload2-480)
ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20200326/psobject-372)
Firmware Error (ACPI): Failure creating named object [\134_SB.PCI0.SAT0.PRT4], AE_ALREADY_EXISTS (20200326/dswload2-480)
ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20200326/psobject-372)
Firmware Error (ACPI): Failure creating named object [\134_SB.PCI0.SAT0.PRT5], AE_ALREADY_EXISTS (20200326/dswload2-480)
ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20200326/psobject-372)

and 

ACPI: \134WMI0.WQBA: 1 arguments were passed to a non-method ACPI object (Buffer) (20200326/nsarguments-359)


However, I started getting correct information about my battery, so these errors look harmless.

I'll close this bug.

Thanks whoever fixed this.